Subject: Re: [PATCH v2 net-next] tc: remove unused redirect ttl

From: Alexei Starovoitov <[email-masked]>
Date: Fri, 01 May 2015 20:15:49 -0700

On 5/1/15 4:48 PM, David Miller wrote:
> From: Cong Wang <[email-masked]>
> Date: Fri, 1 May 2015 13:33:28 -0700
>
>> Quote from Documentation/SubmittingPatches:
>>
>> "
>> The "from" line must be the very first line in the message body,
>> and has the form:
>>
>>          From: Original Author <[email-masked]>
>>
>> The "from" line specifies who will be credited as the author of the
>> patch in the permanent changelog.  If the "from" line is missing,
>> then the "From:" line from the email header will be used to determine
>> the patch author in the changelog.
>> "
>>
>> You should take a look at how Andrew Morton works
>> when he fixes minor things, I am sure he fixes much
>> more than you do.
>
> +1
>

Dave, please help me understand the rules here.
Jamal gave me untested patch that had 8 lines deleted and said
"untested... to push it please go ahead."
I've removed one more line and added 2 extra.
My understanding is that 'From' applies to 100% authorship, no?
If no, where is the line?
I've seen people adding 'joint work' line and add sobs in order
of contribution % where the guy who sends it to the list is the
last sob, right?
Or any follow up work that based even on 10% of initial patch should
have 'from' of the first author? That doesn't sound right.